> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Collection



## OpenAPI

````yaml post /solana/compression/{app_id}/{wallet_id}/collections
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /solana/compression/{app_id}/{wallet_id}/collections:
    post:
      operationId: SolanaCompressionController_createCollection
      parameters:
        - name: app_id
          required: true
          in: path
          schema:
            type: string
        - name: wallet_id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSolanaCollectionDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolanaCollectionDto'
components:
  schemas:
    CreateSolanaCollectionDto:
      type: object
      properties:
        name:
          type: string
        symbol:
          type: string
        uri:
          type: string
      required:
        - name
        - symbol
        - uri
    SolanaCollectionDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        symbol:
          type: string
        uri:
          type: string
        mint_address:
          type: string
        token_account_address:
          type: string
        metadata_account_address:
          type: string
        master_edition_account_address:
          type: string
        tx_signature:
          type: string
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - symbol
        - uri
        - mint_address
        - token_account_address
        - metadata_account_address
        - master_edition_account_address
        - tx_signature
        - created_at
        - updated_at

````